"""
This is an abstract baseclass for the controls of snake.
"""
from abc import ABC, abstractmethod

class ControlsBase(ABC):
    @abstractmethod
    def left(self):
        pass
    
    def right(self):
        pass
    
    def up(self):
        pass
    
    def down(self):
        pass
    
    def pause(self):
        pass